Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1474404 - TypeError while refreshing a scvmm provider
TypeError while refreshing a scvmm provider
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
x86_64 Unspecified
high Severity low
: GA
: 5.9.0
Assigned To: Daniel Berger
Tasos Papaioannou
: TestOnly, ZStream
Depends On:
Blocks: 1479972
  Show dependency treegraph
 
Reported: 2017-07-24 10:19 EDT by Niladri Roy
Modified: 2018-03-06 10:01 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479972 (view as bug list)
Environment:
Last Closed: 2018-03-06 10:01:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Niladri Roy 2017-07-24 10:19:24 EDT
Description of problem:
During refresh of SCVMM provider typerror is raised

Version-Release number of selected component (if applicable):
5.8.0.17


How reproducible:
Customer environment, every single refresh

Steps to Reproduce:
1. initiate refresh against scvmm
2.
3.

Actual results:
[----] E, [2017-07-24T15:21:54.943063 #6637:95f13c] ERROR -- : MIQ(ManageIQ::Providers::Microsoft::InfraManager::Refresher#refresh) EMS: [MSSCVMM], id: [1000000000007] Refresh failed
[----] E, [2017-07-24T15:21:54.943265 #6637:95f13c] ERROR -- : [TypeError]: no implicit conversion of String into Integer  Method:[rescue in block in refresh]


Expected results:
refresh should progress


Additional info:
BUG 1368169 had similar issue where type error was Symbol to Integer
ERROR -- : [TypeError]: no implicit conversion of Symbol into Integer  Method:[rescue in block in refresh]
Comment 4 Bronagh Sorota 2017-07-26 10:30:28 EDT
Hi Niladri,
Do you need some information from me? I See you set the needsinfo flag.

thanks
Comment 5 Niladri Roy 2017-07-26 10:36:35 EDT
Hi Bronagh,

Just to confirm, i believe this is similar to BUG 1368169 and not a duplicate?
Please correct me if I am wrong.

regards,
Niladri
Comment 6 Bronagh Sorota 2017-07-26 12:16:11 EDT
That is correct, similar but not the same.
Comment 15 Tasos Papaioannou 2017-11-28 15:09:39 EST
Verified on 5.9.0.11.

Note You need to log in before you can comment on or make changes to this bug.